Welcome, Guest
Username: Password: Remember me

TOPIC: zip library not supported by PHP

zip library not supported by PHP 3 years 4 months ago #60028

  • chinglnc
  • chinglnc's Avatar
  • OFFLINE
  • Junior Lime
  • Posts: 29
  • Karma: 0
Hi

I have installed Limesurvey 1.90 onto a different server. When I wanted to import the templates that I used from the old server (Limesurvey 1.87), it has this error "zip library not supported by PHP ".

Could anyone tell me if I have done it wrongly? I exported the templates from v1.87 and import it into 1.90.

Any advice is appreciated.

Thanks.
The administrator has disabled public write access.

Re: zip library not supported by PHP 3 years 4 months ago #60036

  • polecat
  • polecat's Avatar
  • OFFLINE
  • Fresh Lemon
  • Posts: 3
  • Karma: 0
I've the same problem :pinch:
Last Edit: 3 years 4 months ago by polecat.
The administrator has disabled public write access.

Re: zip library not supported by PHP 3 years 3 months ago #60118

  • chinglnc
  • chinglnc's Avatar
  • OFFLINE
  • Junior Lime
  • Posts: 29
  • Karma: 0
hey i was being told it's the zip issue, your server is missing a module, the module is called php_zip

www.php.net/manual/en/book.zip.php

let me know if that solve your problem!
The administrator has disabled public write access.

Re: zip library not supported by PHP 2 years 11 months ago #66054

  • chinglnc
  • chinglnc's Avatar
  • OFFLINE
  • Junior Lime
  • Posts: 29
  • Karma: 0
i'm just wondering is there a way to copy the old template from v1.87 to the new template v1.91, without using zip module? my dept refused to install the zip module installer . I have tried to copy and paste the codes but it didn't seem to work
The administrator has disabled public write access.

Re: zip library not supported by PHP 2 years 11 months ago #66073

  • Mazi
  • Mazi's Avatar
  • OFFLINE
  • LimeSurvey Team
  • Posts: 5324
  • Thank you received: 294
  • Karma: 248
You can simply use an FTP program to transfer the files from system A -> your PC -> system B
At older versions the templates are located at /limesurvey/templates/<yourtemplatename>. At newer versions they were moved to /limesurvey/UPLOAD/templates/<yourtemplatename>.

Templates might be broken at newer versions if you have updated froma very old Limesurvey version. This is indicated by conditions not working correctly or strange bullets at certain questions.

Best regards/Beste Grüße,
Dr. Marcel Minke
(Limesurvey Head of Support)
Need Help? We offer professional Limesurvey support
Contact: marcel.minke(at)limesurvey.org'"
The administrator has disabled public write access.
Moderators: ITEd
Time to create page: 0.112 seconds
Donation Image